This bug was fixed in the package gnome-software - 3.20.1+git20160923.2
.7374bdc-0ubuntu1~xenial1

---------------
gnome-software (3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1) xenial; 
urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix crash on 32 bit arch live images (LP: #1571729)
  * debian/README.source: Update branch name (wip/ubuntu-xenial -> wip/ubuntu).

gnome-software (3.20.1+git20160923.1.0c571f1-0ubuntu1~xenial1) xenial;
urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix failure refining first snap doesn't affect other snaps (LP: #1626803)
    - Support snap launching (LP: #1564076)
    - Don't prompt user to upgrade held packages (LP: #1573061)
    - Use /v2/find API instead of obsolete /v2/snaps API for searching (LP: 
#1596378)
    - Download changelog information on demand (LP: #1574666)
  * debian/control:
    - Depend on aptdaemon

 -- Iain Lane <iain.l...@canonical.com>  Fri, 23 Sep 2016 18:28:31 +0100

** Changed in: gnome-software (Ubuntu Xenial)
       Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Desktop
Packages, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1573061

Title:
  gnome-software wants to upgrade held packages

Status in One Hundred Papercuts:
  Confirmed
Status in gnome-software package in Ubuntu:
  Fix Released
Status in gnome-software source package in Xenial:
  Fix Released
Status in gnome-software source package in Yakkety:
  Fix Released

Bug description:
  [Impact]
  GNOME Software shows .deb packages marked as held as updatable.

  [Test Case]
  1. Hold a package that is available for update, e.g.
  $ sudo apt-mark hold gnome-calculator
  2. Open GNOME Software
  3. Click on Updates tab

  Expected result:
  Held package(s) are not shown

  Observed result:
  Held package(s) are shown

  [Regression potential]
  Low. We now just check the Apt flag for held packages.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hundredpapercuts/+bug/1573061/+subscriptions

-- 
Mailing list: https://launchpad.net/~desktop-packages
Post to     : desktop-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~desktop-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to